%define module_name Anansi-Script-Shell
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Anansi/ScriptComponent.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Defines the mechanisms specific to handling command line execution.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AN/ANANSI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is designed to be an optional component module for use by the
the Anansi::Script manpage component management module.  It defines the processes
specific to handling both input and output from Perl scripts that are executed
from a command line.  See the Anansi::Component manpage for inherited methods.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
* Fri May 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- updated by package builder

* Wed May 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- updated by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

